[Scribus] Problem loading plugins

Craig Ringer craig
Sun Mar 25 23:02:36 CEST 2007

ols6000 at sbcglobal.net wrote:
> When I run using the debugger, I get the message
> There is a problem loading 1 of 16 plugins
> liboldscribusformat.so.0.0.0
> This is probably caused by some kind of dependency issue or old plugins
> existing in your install directory. If you clean out your install
> directory and reinstall and this still occurs, please report it on
> bugs.scribus.net.

In general, just delete your Scribus install directory and re-run `make
install'. For that matter, simply deleting the offending plug-in should
be safe.

> What do I do? I am not sure which is my "install directory". The
> executable is in /root/scribus-

Oh, that's not ideal at all.

You really should try to avoid using the root account for any sort of
day to day work. Use your normal user home directory, and use `sudo' to
gain temporary root priveleges when needed.

I'd very very very strongly recommend re-installing Scribus somewhere
like /usr/local or a subdirectory of your normal user account. You can
control where it gets installed with the --prefix= argument (configure)

I prefer to install Scribus into my home directory, eg set the install
prefix to $HOME/scribus-  ... but installing in /usr/local is
also quite conventional.

> I am also getting the message (twice)
> API version mismatch when loading
> /usr/local/lib/scribus/plugins//liboldscribusformat.so.0.0.0; Got 3,
> expected 8
> In /usr/local/lib/scribus/plugins/ are the following files:
> liboldscribusformat.so (link to .0.0.0)
> liboldscribusformat.so.0 (link to .0.0.0)
> liboldscribusformat.so.0.0.0

As above advice.

Craig Ringer

More information about the scribus mailing list